Page MenuHomePhabricator

efl_canvas_animation: correctly handle double signness
ClosedPublic

Authored by bu5hm4n on Nov 7 2019, 4:53 AM.

Details

Summary

start_delay and duration both have to be > 0.0 otherwise there should be
an error. This also adds the neccessary checks, to ensure that.

For now this is only added to the normal evas test suite, maybe we eed
to refactor these efl_* API tests into theire own test suite. However,
not for now.

Diff Detail

Repository
rEFL core/efl
Branch
devs/bu5hm4n/animation_work
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 14394
bu5hm4n created this revision.Nov 7 2019, 4:53 AM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

bu5hm4n requested review of this revision.Nov 7 2019, 4:53 AM

Hmmmm... unit test to make sure this never happens again? pleeez?

mhm, then i have to create an entire test suite, as there are no test cases so far :(

Awesome! A whole new area of EFL that will be tested!

bu5hm4n updated this revision to Diff 26777.Nov 10 2019, 3:48 AM
bu5hm4n retitled this revision from efl_canvas_animation: allow start_delay which is > 0.0 to efl_canvas_animation: correctly handle double signness.
bu5hm4n edited the summary of this revision. (Show Details)

add testcases, and fix more wrong double handling

segfaultxavi accepted this revision.Nov 11 2019, 1:20 AM

Nice! Thanks!
Builds and passes tests.

This revision is now accepted and ready to land.Nov 11 2019, 1:20 AM
Closed by commit rEFL6b1de6a4ac4a: efl_canvas_animation: correctly handle double signness (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>, committed by segfaultxavi). · Explain WhyNov 11 2019, 1:20 AM
This revision was automatically updated to reflect the committed changes.